Bug 465640 - Segmentation Fault when copying from NTFS Media to a Samba Share on Gnome
Segmentation Fault when copying from NTFS Media to a Samba Share on Gnome
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 21:40 EDT by Heishiro Mitsurugi
Modified: 2015-03-03 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:42:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heishiro Mitsurugi 2008-10-04 21:40:46 EDT
Description of problem:

When copying a lot of files from a ntfs mounted partition to a network share on samba, the connection is lost and appear the following message on /var/log/messages:

Oct  4 20:38:01 xxxx kernel: gvfsd-smb[9457]: segfault at c ip 0805fdc2 sp bff26fc0 error 4 in gvfsd-smb[8048000+20000]


Version-Release number of selected component (if applicable):

gvfs-0.2.5-1.fc9.i386
gvfs-fuse-0.2.5-1.fc9.i386

How reproducible:

Very often

Steps to Reproduce:
1. Double Click on an ntfs media mounted by gnome
2. Browse the Network and look for a share on a Samba Server
3. Copy a folder with 3GB or more
4. Around 15% of the process, the Window with the Samba Server listing will turn into a /home/%user/ listing and the copy process will stop completely.
  
Actual results:

The copy process hangs and you must kill the navigator or restart gnome.

Expected results:

The copy process should complete without problems.

Additional info:

The problem only happens on Gnome. I tried making the copy using KDE and it works properly. I found several messages alike in /var/log/messages:

Oct  3 18:15:28 bbpc kernel: gthumb[6349]: segfault at 1165 ip 00501a27 sp b665d240 error 4 in libglib-2.0.so.0.1600.6[4b9000+e1000]
Oct  4 16:17:22 bbpc kernel: nautilus[4019]: segfault at 9 ip 00501a27 sp b7be2220 error 4 in libglib-2.0.so.0.1600.6[4b9000+e1000]
Oct  4 16:17:22 bbpc kernel: nautilus[4019]: segfault at 9 ip 00501a27 sp b7be2220 error 4 in libglib-2.0.so.0.1600.6[4b9000+e1000]
Oct  4 16:17:22 bbpc kernel: nautilus[4019]: segfault at 9 ip 00501a27 sp b7be2220 error 4 in libglib-2.0.so.0.1600.6[4b9000+e1000]
Oct  4 16:17:22 bbpc kernel: nautilus[4019]: segfault at 9 ip 00501a27 sp b7be2220 error 4 in libglib-2.0.so.0.1600.6[4b9000+e1000]
Oct  3 18:15:28 bbpc kernel: gthumb[6349]: segfault at 1165 ip 00501a27 sp b665d240 error 4 in libglib-2.0.so.0.1600.6[4b9000+e1000]
Comment 1 Tomáš Bžatek 2008-10-08 11:59:53 EDT
Can you please post backtrace here? (check http://fedoraproject.org/wiki/StackTraces)
In order to do that, you'll need to run 'gdb /usr/libexec/gvfsd-smb' and set arguments in form of 'set args share=<your_share> server=<smb_server>'. Beware this way lacks authentication support.

Don't forget to install gvfs-debuginfo, samba-debuginfo and glib2-debuginfo packages.
Comment 2 Bug Zapper 2009-06-09 22:53:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:42:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.